Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::actions::URIAction Class Reference
Inheritance diagram for foxit::pdf::actions::URIAction:

## Public Member Functions
| URIAction (const Action &action)
| Constructor, with parent class object. More...
String | GetURI ()
| Get the URI string. More...
bool | IsTrackPosition ()
| Check whether to track the mouse position when the URI is resolved. More...
void | SetTrackPositionFlag (bool is_track_position)
| Set the value for tracking position flag. More...
void | SetURI (const String &uri)
| Set the URI string. More...
Public Member Functions inherited from foxit::pdf::actions::Action
| Action (const Action &action)
| Constructor, with another action object. More...
| Action (const PDFDoc &document, objects::PDFDictionary *action_dict)
| Constructor, with parameters. More...
| ~Action ()
| Destructor.
objects::PDFDictionary * | GetDict () const
| Get PDF dictionary of current object. More...
PDFDoc | GetDocument ()
| Get the PDF document, to which current action belongs. More...
Action | GetSubAction (int index)
| Get a sub-action by index. More...
int | GetSubActionCount ()
| Get the count of sub-actions. More...
Type | GetType ()
| Get action type. More...
void | InsertSubAction (int index, const Action &sub_action)
| Insert a new sub-action to the location specified by index. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const Action &other) const
| Not equal operator. More...
Action & | operator= (const Action &other)
| Assign operator. More...
bool | operator== (const Action &other) const
| Equal operator. More...
void | RemoveAllSubActions ()
| Remove all the sub-actions. More...
void | RemoveSubAction (int index)
| Remove a sub-action, specified by index. More...
void | SetSubAction (int index, const Action &sub_action)
| Set a sub-action by index. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Additional Inherited Members
Public Types inherited from foxit::pdf::actions::Action
enum | NewWindowFlag { e_NewWindowFlagFalse = 0, e_NewWindowFlagTrue = 1, e_NewWindowFlagNone = 2 }
| Enumeration for new window flag. More...
enum | Type { e_TypeUnknown = 0, e_TypeGoto = 1, e_TypeGoToR = 2, e_TypeGoToE = 3, e_TypeLaunch = 4, e_TypeThread = 5, e_TypeURI = 6, e_TypeSound = 7, e_TypeMovie = 8, e_TypeHide = 9, e_TypeNamed = 10, e_TypeSubmitForm = 11, e_TypeResetForm = 12, e_TypeImportData = 13, e_TypeJavaScript = 14, e_TypeSetOCGState = 15, e_TypeRendition = 16, e_TypeTrans = 17, e_TypeGoTo3DView = 18 }
| Enumeration for action type. More...
Static Public Member Functions inherited from foxit::pdf::actions::Action
static Action | Create (const foxit::pdf::PDFDoc &document, Type action_type)
| Create a new action, for specified action type. More...

## Detailed Description

URI (uniform resource identifier) action is an action that causes a URI to be resolved. Class actions::URIAction is derived from Action and offers functions to get/set URI action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ URIAction()

foxit::pdf::actions::URIAction::URIAction | ( | const Action & | action | ) |
| explicit

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetURI()

String foxit::pdf::actions::URIAction::GetURI | ( |  | ) |

Get the URI string.

Returns
  URI string.

## ◆ IsTrackPosition()

bool foxit::pdf::actions::URIAction::IsTrackPosition | ( |  | ) |

Check whether to track the mouse position when the URI is resolved.

Returns
  true means application should track the mouse position, while false means no need to track the mouse position.

## ◆ SetTrackPositionFlag()

void foxit::pdf::actions::URIAction::SetTrackPositionFlag | ( | bool | is_track_position | ) |

Set the value for tracking position flag.

Parameters

  [in] | is_track_position | true means to track position, while false means not to track position.

Returns
  None.

## ◆ SetURI()

void foxit::pdf::actions::URIAction::SetURI | ( | const String & | uri | ) |

Set the URI string.

Parameters

  [in] | uri | A URI string to be set. It should not be an empty string.

Returns
  None.